%define upstream_name check_password

Name:       openldap-%{upstream_name}
Version:    1.1
Release:    %mkrel 1
Summary:    OpenLdap password checker module
License:    Artistic
Group: 		System/Servers
URL: 		http://linagora.org/contrib/annuaires/extensions/openldap_ppolicy_check_password
Source0: 	http://tools.ltb-project.org/attachments/download/51/ltb-project-openldap-ppolicy-check-password-%{version}.tar.gz
BuildRequires: openldap-devel
BuildRequires: cracklib-devel
BuildRequires: libwrap-devel

%description
check_password.c is an OpenLDAP pwdPolicyChecker module used to check the
strength and quality of user-provided passwords.

This module is used as an extension of the OpenLDAP password policy controls,
see slapo-ppolicy(5) section pwdCheckModule.

check_password.c will run a number of checks on the passwords to ensure minimum
strength and quality requirements are met. Passwords that do not meet these
requirements are rejected. 

%prep
%setup -q -n ltb-project-openldap-ppolicy-check-password-%{version}

%build
%make \
    LDAP_INC="-I%{_includedir}/openldap/include -I%{_includedir}/openldap/slapd"


%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/openldap
install -m 755 check_password.so %{buildroot}%{_libdir}/openldap

install -d -m 755 %{buildroot}%{_sysconfdir}/openldap
cat > %{buildroot}%{_sysconfdir}/openldap/check_password.conf <<EOF
# OpenLDAP pwdChecker library configuration

# Set it to 0 to disable cracklib verification
#useCracklib 1

# Minimum number of quality points a new password must have to be accepted
#minPoints 3

# Minimum upper characters expected
#minUpper 0

# Minimum lower characters expected
#minLower 0

# Minimum digit characters expected
#minDigit 0

# Minimum punctuation characters expected
#minPunct 0
EOF

%files
%doc README INSTALL LICENSE
%{_libdir}/openldap/check_password.so
%config(noreplace) %{_sysconfdir}/openldap/check_password.conf


%changelog

* Mon Apr 16 2012 guillomovitch <guillomovitch> 1.1-1.mga2
+ Revision: 231022
- imported package openldap-check_password

